Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.files
Class SimpleFileSpecification

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<TDataObject>
          org.pdfclown.documents.files.FileSpecification<PdfString>
              org.pdfclown.documents.files.SimpleFileSpecification

All Implemented Interfaces:
  Cloneable, IPdfNamedObjectWrapper, IPdfObjectWrapper

    @PDF(value=PDF11)
    public final class SimpleFileSpecification

extends FileSpecification<PdfString>

Simple reference to the contents of another file [PDF:1.6:3.10.2].

Since:
  0.1.2
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Method Summary
`SimpleFileSpecification` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`String` | `getPath()` Gets the file path.

Methods inherited from class org.pdfclown.documents.files.FileSpecification
`get, get, get, get, getAbsolutePath, getInputStream, getName, getNamedBaseObject, getOutputStream, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pdfclown.objects.IPdfObjectWrapper
`getBaseObject`

Method Detail

### clone

    public SimpleFileSpecification clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfString>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getPath

    public String getPath()

  Description copied from class: `FileSpecification`
  Gets the file path.

  Specified by:
    `getPath` in class `FileSpecification<PdfString>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.